Package org.opensaml.xmlsec.encryption

# Interface EncryptedType

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `EncryptedData`, `EncryptedKey`

All Known Implementing Classes:
  `EncryptedDataImpl`, `EncryptedKeyImpl`, `EncryptedTypeImpl`

public interface EncryptedType extends XMLObject
XMLObject representing XML Encryption, version 20021210, EncryptedType type. This is the base type for `EncryptedData` and `EncryptedKey` types.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENCODING_ATTRIB_NAME`
Encoding attribute name.
`static final String`
`ID_ATTRIB_NAME`
Id attribute name.
`static final String`
`MIMETYPE_ATTRIB_NAME`
MimeType attribute name.
`static final String`
`TYPE_ATTRIB_NAME`
Type attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`CipherData`
`getCipherData()`
Gets the CipherData child element.
`String`
`getEncoding()`
Gets the encoding applied to the plaintext content prior to encryption.
`EncryptionMethod`
`getEncryptionMethod()`
Gets the EncryptionMethod child element.
`EncryptionProperties`
`getEncryptionProperties()`
Gets the EncryptionProperties child element.
`String`
`getID()`
Gets the unique ID for the XML element.
`KeyInfo`
`getKeyInfo()`
Gets the KeyInfo child element.
`String`
`getMimeType()`
Gets the MIME type of the plaintext content.
`String`
`getType()`
Gets the type information for the plaintext content.
`void`
`setCipherData(CipherData newCipherData)`
Sets the CipherData child element.
`void`
`setEncoding(String newEncoding)`
Sets the encoding applied to the plaintext content prior to encryption.
`void`
`setEncryptionMethod(EncryptionMethod newEncryptionMethod)`
Sets the EncryptionMethod child element.
`void`
`setEncryptionProperties(EncryptionProperties newEncryptionProperties)`
Sets the EncryptionProperties child element.
`void`
`setID(String newID)`
Sets the unique ID for the XML element.
`void`
`setKeyInfo(KeyInfo newKeyInfo)`
Sets the KeyInfo child element.
`void`
`setMimeType(String newMimeType)`
Sets the MIME type of the plaintext content.
`void`
`setType(String newType)`
Sets the type information for the plaintext content.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
Id attribute name.

See Also:
  - Constant Field Values

### TYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String TYPE_ATTRIB_NAME
Type attribute name.

See Also:
  - Constant Field Values

### MIMETYPE_ATTRIB_NAME

@Nonnull @NotEmpty static final String MIMETYPE_ATTRIB_NAME
MimeType attribute name.

See Also:
  - Constant Field Values

### ENCODING_ATTRIB_NAME

@Nonnull @NotEmpty static final String ENCODING_ATTRIB_NAME
Encoding attribute name.

See Also:
  - Constant Field Values

## Method Details

### getID

@Nullable String getID()
Gets the unique ID for the XML element.

Returns:
  the unique ID for the XML element

### setID

void setID(@Nullable String newID)
Sets the unique ID for the XML element.

Parameters:
  `newID` - the unique ID for the XML element

### getType

@Nullable String getType()
Gets the type information for the plaintext content.

Returns:
  the type information for the plaintext content

### setType

void setType(@Nullable String newType)
Sets the type information for the plaintext content.

Parameters:
  `newType` - the type information for the plaintext content

### getMimeType

@Nullable String getMimeType()
Gets the MIME type of the plaintext content.

Returns:
  the MIME type of the plaintext content

### setMimeType

void setMimeType(@Nullable String newMimeType)
Sets the MIME type of the plaintext content.

Parameters:
  `newMimeType` - the MIME type of the plaintext content

### getEncoding

@Nullable String getEncoding()
Gets the encoding applied to the plaintext content prior to encryption.

Returns:
  the encoding applied to the plaintext content prior to encryption

### setEncoding

void setEncoding(@Nullable String newEncoding)
Sets the encoding applied to the plaintext content prior to encryption.

Parameters:
  `newEncoding` - the encoding applied to the plaintext content prior to encryption

### getEncryptionMethod

@Nullable EncryptionMethod getEncryptionMethod()
Gets the EncryptionMethod child element.

Returns:
  the EncryptionMethod child element

### setEncryptionMethod

void setEncryptionMethod(@Nullable EncryptionMethod newEncryptionMethod)
Sets the EncryptionMethod child element.

Parameters:
  `newEncryptionMethod` - the new EncryptionMethod child element

### getKeyInfo

@Nullable KeyInfo getKeyInfo()
Gets the KeyInfo child element.

Returns:
  the KeyInfo child element

### setKeyInfo

void setKeyInfo(@Nullable KeyInfo newKeyInfo)
Sets the KeyInfo child element.

Parameters:
  `newKeyInfo` - the new KeyInfo child element

### getCipherData

@Nullable CipherData getCipherData()
Gets the CipherData child element.

Returns:
  the CipherData child element

### setCipherData

void setCipherData(@Nullable CipherData newCipherData)
Sets the CipherData child element.

Parameters:
  `newCipherData` - the new CipherData child element

### getEncryptionProperties

@Nullable EncryptionProperties getEncryptionProperties()
Gets the EncryptionProperties child element.

Returns:
  the EncryptionProperties child element

### setEncryptionProperties

void setEncryptionProperties(@Nullable EncryptionProperties newEncryptionProperties)
Sets the EncryptionProperties child element.

Parameters:
  `newEncryptionProperties` - the new EncryptionProperties child element